Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.util
Class DelegateNamedAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.hibernate.search.util.DelegateNamedAnalyzer

    public class DelegateNamedAnalyzer

extends org.apache.lucene.analysis.Analyzer

delegate to a named analyzer delegated Analyzers are lazily configured

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`DelegateNamedAnalyzer(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`int` | `getPositionIncrementGap(java.lang.String fieldName)`
`org.apache.lucene.analysis.TokenStream` | `reusableTokenStream(java.lang.String fieldName, java.io.Reader reader)`
`void` | `setDelegate(org.apache.lucene.analysis.Analyzer delegate)`
`org.apache.lucene.analysis.TokenStream` | `tokenStream(java.lang.String fieldName, java.io.Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegateNamedAnalyzer

    public DelegateNamedAnalyzer(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### setDelegate

    public void setDelegate(org.apache.lucene.analysis.Analyzer delegate)

### tokenStream

    public org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                              java.io.Reader reader)

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

### reusableTokenStream

    public org.apache.lucene.analysis.TokenStream reusableTokenStream(java.lang.String fieldName,
                                                                      java.io.Reader reader)
                                                               throws java.io.IOException

  Overrides:
    `reusableTokenStream` in class `org.apache.lucene.analysis.Analyzer`
  Throws:
    `java.io.IOException`

### getPositionIncrementGap

    public int getPositionIncrementGap(java.lang.String fieldName)

  Overrides:
    `getPositionIncrementGap` in class `org.apache.lucene.analysis.Analyzer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.